# APPLEGLSharing (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class APPLEGLSharing

    java.lang.Object
      org.lwjgl.opencl.APPLEGLSharing

    public final class APPLEGLSharing

extends java.lang.Object

Field Summary
`static int` `CL_CGL_DEVICE_FOR_CURRENT_VIRTUAL_SCREEN_APPLE` Returns a cl_device_id for the CL device associated with the virtual screen for the given CGL context.
`static int` `CL_CGL_DEVICES_FOR_SUPPORTED_VIRTUAL_SCREENS_APPLE` Returns an array of cl_device_ids for the CL device(s) corresponding to the virtual screen(s) for the given CGL context.
`static int` `CL_CONTEXT_PROPERTY_USE_CGL_SHAREGROUP_APPLE` This enumerated value can be specified as part of the <properties> argument passed to clCreateContext to allow OpenCL compliant devices in an existing CGL share group to be used as the devices in the newly created CL context.
`static int` `CL_INVALID_GL_CONTEXT_APPLE` Error code returned by clGetGLContextInfoAPPLE if an invalid platform_gl_ctx is provided

Method Summary
`static int` `clGetGLContextInfoAPPLE(CLContext context, PointerBuffer platform_gl_ctx, int param_name, java.nio.ByteBuffer param_value, PointerBuffer param_value_size_ret)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_CONTEXT_PROPERTY_USE_CGL_SHAREGROUP_APPLE

    public static final int CL_CONTEXT_PROPERTY_USE_CGL_SHAREGROUP_APPLE

  This enumerated value can be specified as part of the <properties> argument passed to clCreateContext to allow OpenCL compliant devices in an existing CGL share group to be used as the devices in the newly created CL context. GL objects that were allocated in the given CGL share group can now be shared between CL and GL.

  See Also:
    Constant Field Values

### CL_CGL_DEVICE_FOR_CURRENT_VIRTUAL_SCREEN_APPLE

    public static final int CL_CGL_DEVICE_FOR_CURRENT_VIRTUAL_SCREEN_APPLE

  Returns a cl_device_id for the CL device associated with the virtual screen for the given CGL context. Return type: cl_device_id

  See Also:
    Constant Field Values

### CL_CGL_DEVICES_FOR_SUPPORTED_VIRTUAL_SCREENS_APPLE

    public static final int CL_CGL_DEVICES_FOR_SUPPORTED_VIRTUAL_SCREENS_APPLE

  Returns an array of cl_device_ids for the CL device(s) corresponding to the virtual screen(s) for the given CGL context. Return type: cl_device_id[]

  See Also:
    Constant Field Values

### CL_INVALID_GL_CONTEXT_APPLE

    public static final int CL_INVALID_GL_CONTEXT_APPLE

  Error code returned by clGetGLContextInfoAPPLE if an invalid platform_gl_ctx is provided

  See Also:
    Constant Field Values

Method Detail

### clGetGLContextInfoAPPLE

    public static int clGetGLContextInfoAPPLE(CLContext context,
                                              PointerBuffer platform_gl_ctx,
                                              int param_name,
                                              java.nio.ByteBuffer param_value,
                                              PointerBuffer param_value_size_ret)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.